Bug 1129412 - Clarify the fact that ALSA is needed to build on Linux. DONTBUILD because comment-only. r=glandium
authorPaul Adenot <paul@paul.cx>
Wed, 04 Feb 2015 14:33:41 +0100
changeset 229280 c99e7a982123e33a55cce791f0fd92dd38d6bfb2
parent 229279 15dea2b0929b0dd78da350fc13fe877c6e6685a9
child 229281 09f4968d5f429e48e8d53a8a21408cb9674e996c
child 229338 ee830b93a55263bfa7e459335fbe4ef8030aed14
push id28282
push usercbook@mozilla.com
push dateMon, 16 Feb 2015 15:06:35 +0000
treeherdermozilla-central@09f4968d5f42 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersglandium
bugs1129412
milestone38.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1129412 - Clarify the fact that ALSA is needed to build on Linux. DONTBUILD because comment-only. r=glandium
configure.in
--- a/configure.in
+++ b/configure.in
@@ -5614,17 +5614,17 @@ fi
 MOZ_ARG_ENABLE_BOOL(alsa,
 [  --enable-alsa          Enable Alsa support (default on Linux)],
    MOZ_ALSA=1,
    MOZ_ALSA=)
 
 if test -n "$MOZ_ALSA"; then
     PKG_CHECK_MODULES(MOZ_ALSA, alsa, ,
          [echo "$MOZ_ALSA_PKG_ERRORS"
-          AC_MSG_ERROR([Need alsa for Ogg, Wave or WebM decoding on Linux.  Disable with --disable-ogg --disable-wave --disable-webm.  (On Ubuntu, you might try installing the package libasound2-dev.)])])
+          AC_MSG_ERROR([Need alsa for audio output on Linux. (On Ubuntu, you might try installing the package libasound2-dev.)])])
 fi
 
 AC_SUBST(MOZ_ALSA)
 
 dnl ========================================================
 dnl = Disable PulseAudio
 dnl ========================================================